lookupAccountAppLocalStates | Algorand Developer Portal

lookupAccountAppLocalStates

GET

/v2/accounts/{account-id}/apps-local-state

Lookup an account’s asset holdings, optionally for a specific ID.

Parameters

Path Parameters

account-id
required
string
Account string

Query Parameters

application-id
integer
Application ID

include-all
boolean
Include all items including closed accounts, deleted applications, destroyed assets, opted-out asset holdings, and closed-out application localstates.

limit
integer
Maximum number of results to return. There could be additional pages even if the limit is not reached.

next
string
The next page of results. Use the next token provided by the previous results.

Responses

200

(empty)

Select media type application/json

object

apps-local-states
required
Array
Stores local state associated with an application.

object

closed-out-at-round
Round when account closed out of the application.

integer

deleted
Whether or not the application local state is currently deleted from its account.

boolean

id
required
The application which this local state is for.

integer

key-value
Represents a key-value store for use in an application.

Array

Represents a key-value pair in an application store.

object

key
required
string

value
required
Represents a TEAL value.

object

bytes
required
Bytes value.

string

type
required
Type of the value. Value 1 refers to bytes, value 2 refers to uint

integer

uint
required
Uint value.

integer

opted-in-at-round
Round when the account opted into the application.

integer

schema
required
Specifies maximums on the number of each type that may be stored.

object

num-byte-slice
required
Number of byte slices.

integer

num-uint
required
Number of uints.

integer

current-round
required
Round at which the results were computed.

integer

next-token
Used for pagination, when making another request provide this token with the next parameter.

string

400

Response for errors

Select media type application/json

object

data
object

message
required
string

404

Response for errors

Select media type application/json

object

data
object

message
required
string

500

Response for errors

Select media type application/json

object

data
object

message
required
string